@charset "UTF-8";
/*** Стилизация отдельных страниц Joomla через классы стилей ***/

/** Страница "Врачи" - через вывод списка CB - начало **/
.gc_pages_doctors {
	.cbUsersList.cb_template.cb_template_default {
		opacity: 1;
		border-radius: 40px;
		border-width: 1px;
		padding: 50px 100px;
		background: linear-gradient(141.55deg, rgba(255, 255, 255, 0.4) 3.71%, rgba(255, 255, 255, 0) 99.21%);
		border: 1px solid;
		border-image-source: linear-gradient(221.6deg, #000000 49.94%, rgba(102, 102, 102, 0) 97.58%), linear-gradient(140.89deg, rgba(255, 255, 255, 0) 3.46%, #FFFFFF 49.94%);
		box-shadow: 0 0 10px rgba(0,0,0,0.5);
		backdrop-filter: blur(50px)
	}
	
	div.cbFieldsContentsTab#cbtf_listsearch {
		display: flex;
		flex-wrap: wrap;
	}

	div.gc_cb_lastname.form-group.row.no-gutters.sectiontableentry1.cbft_predefined.cb_form_line {
		width: 50%;
		padding-right: 15px;
	}

	div.gc_cb_city.form-group.row.no-gutters.sectiontableentry2.cbft_text.cb_form_line {
		width: 50%;
	}

	div.gc_cb_specialisation.form-group.row.no-gutters.sectiontableentry1.cbft_tag.cb_form_line {
		width: 50%;
		padding-right: 15px;
	}

	div.gc_cb_dr_competenc.form-group.row.no-gutters.sectiontableentry2.cbft_tag.cb_form_line {
		width: 50%;
	}
	#cblabcb_dr_competenc__ {
		font-family: Inter;
		font-size: 1rem !important;
		font-weight: 300;
        line-height: 1;
	}
		.h-100.card.no-overflow.cbCanvasLayout.cbCanvasLayoutSm {
		display: flex;
		flex-direction: column;
		min-width: 0;
		position: relative;
		word-wrap: break-word;
		background-clip: border-box; /* распространяет заливку фона на всю карточку с рамкой */
		background-color: rgb(255, 255, 255, 0); /* прозрачный фон карточки врача */
		border: 0px solid #f5f5f5; /* оключение рамки карточки врача */
		/* border: 1px solid red;*/ /* временная рамка карточки врача */
		border-radius: 10px;
	}
	.cbImgPict.cbThumbPict.img-thumbnail.rounded-circle {
        width: 180px; /* ширина фотографии */
		height: 180px; /* высота фотографии */
	}
	span.cbListFieldCont.cbUserListFC_avatar {
		display: flex;
		justify-content: centr;
		/* margin-right: 30px; */
	}
	div.cbUserListFieldLine.cbUserListFL_formatname {
		margin: 10px 0;
		text-align: left;
	}
	.cb_template a {
    color: #000;
	}
	div.cbUserListFieldLine.cbUserListFL_cb_city {
	    margin: 0 0 10px 0;
        text-align: left;
	}
	div.cbUserListFT_cb_specialisation {
		margin: 0 0 10px 0;
	}
	div.cbUserListFieldTitle.cbUserListFT_cb_specialisation {
		margin: 0 0 5px 0;	
	}
	ul.gc_cb_specialisation_list>li {
		padding: 0 0 5px 0;
	}
}

/* - адаптивность */
.responsiv_doctors {
	@media (max-width: 960px) {
		.cbUsersList.cb_template.cb_template_default {
			padding: 25px 25px;
		}
		div.gc_cb_lastname.form-group.row.no-gutters.sectiontableentry1.cbft_predefined.cb_form_line {
		width: 100%;
		padding-right: 0px;
		}

		div.gc_cb_city.form-group.row.no-gutters.sectiontableentry2.cbft_text.cb_form_line {
			width: 100%;
		}

		div.gc_cb_specialisation.form-group.row.no-gutters.sectiontableentry1.cbft_tag.cb_form_line {
			width: 100%;
		}

		div.gc_cb_dr_competenc.form-group.row.no-gutters.sectiontableentry2.cbft_tag.cb_form_line {
			width: 100%;
		}
	}
}

/** Страница "Врачи" - через вывод списка CB - конец **/

/** Страница "Регистрация" - вывод через ссылку CB - начало **/
.gc_pages_registration {
	.cb_template.cb_template_default.cbRegistration.cbRegistrationFlat {
		max-width: 640px;
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		opacity: 1;
		border-radius: 40px;
		border-width: 1px;
		padding: 50px 100px;
		margin: auto;
		background: linear-gradient(141.55deg, rgba(255, 255, 255, 0.4) 3.71%, rgba(255, 255, 255, 0) 99.21%);
		border: 1px solid;
		box-shadow: 0 0 10px rgba(0,0,0,0.5);
		backdrop-filter: blur(50px)
	}
	.cbFieldsContentsTab {
		margin: auto;
	}
	@media (min-width: 576px) {
		div.row.no-gutters.cbRegistrationButtons>div.offset-sm-3.col-sm-9 {
			min-width: 300px;
			margin: auto;
			text-align: center;
		}
    }
}

/* - адаптивность */
.responsiv_registration {
	@media (max-width: 960px) {
		div.cb_template.cb_template_default.cbRegistration.cbRegistrationFlat {
			padding: 25px;
		}
	}
}

/** Страница "Регистрация" - вывод через ссылку CB - конец **/

/** Страница "Редактировать профиль" - вывод через ссылку CB - начало **/
.gc_pages_editprofile {
	#cbcheckedadminForm {
		max-width: 640px;
		border-radius: 40px;
		border-width: 1px;
		padding: 50px 100px;
		margin: auto;
		background: linear-gradient(141.55deg, rgba(255, 255, 255, 0.4) 3.71%, rgba(255, 255, 255, 0) 99.21%);
		border: 1px solid;
		box-shadow: 0 0 10px rgba(0,0,0,0.5);
		backdrop-filter: blur(50px)
	}
	div.row.no-gutters.cbProfileEditButtons>div.offset-sm-3.col-sm-9 {
        min-width: 300px;
        margin: auto;
        text-align: center;
	}
}


/* - Поле "Пароль" + "Подтвердите пароль" + "Старый пароль" */
.gc_cb_password {
	div#cbfv_51 > div.input-group.d-inline-flex.w-auto.cbPasswordUnmask {
		width: 100% !important;
	}
	div.input-group-append > button.btn.btn-outline-light.border.text-body.ml-0.rounded-0.cbPasswordUnmaskShow {
		border-radius: 0 20px 20px 0 !important;
		flex-wrap: nowrap !important;
	}
	div.input-group-append > button.btn.btn-outline-light.border.text-body.ml-0.rounded-0.cbPasswordUnmaskHide {
		border-radius: 0 20px 20px 0 !important;
		flex-wrap: nowrap !important;
	}
	div#cbfv_51__verify > div.input-group.d-inline-flex.w-auto.cbPasswordUnmask {
		width: 100% !important;
	}
	div#cbfv_51__current > div.input-group.d-inline-flex.w-auto.cbPasswordUnmask {
		width: 100% !important;
	}		
}


/* - адаптивность */
.responsiv_editprofile {
	@media (max-width: 960px) {
		#cbcheckedadminForm {
			padding: 25px;
		}
	}
}

/** Страница "Редактировать профиль" - вывод через ссылку CB - конец **/

/** Страница "Вход" - вывод через ссылку CB - начало **/
.gc_pages_entrance {
	#login-form-112 {
		max-width: 640px;
        text-align: center;		
		border-radius: 40px;
		border-width: 1px;
		padding: 50px 100px;
		margin: auto;
		background: linear-gradient(141.55deg, rgba(255, 255, 255, 0.4) 3.71%, rgba(255, 255, 255, 0) 99.21%);
		border: 1px solid;
		box-shadow: 0 0 10px rgba(0,0,0,0.5);
		backdrop-filter: blur(50px)
	}
	.form-group {
		margin: 0 0 15px 0;
	}
	#modlgn-username-112 {
		border-radius: 20px 0 0 20px;
	}
	span.input-group-text {
		border-radius: 0 20px 20px 0;		
	}
	#modlgn-passwd-112 {
		border-radius: 20px 0 0 20px;
	}
	.btn.btn-secondary.input-password-toggle {
		border-radius: 0 20px 20px 0;		
	}
}
/* - адаптивность */
.responsiv_entrance {
	@media (max-width: 960px) {
		#login-form-112 {
			padding: 25px;
		}
	}
}

/** Страница "Вход" - вывод через ссылку CB - конец **/

/** Страница "Написать в поддержку" - Rapid Contact Ex  - начало **/
.gc_pages_write-support {
	div#rpx_div_rpx_16 {
        max-width: 640px;
        border-radius: 40px;
        border-width: 1px;
        padding: 50px 100px;
        margin: auto;
        background: linear-gradient(141.55deg, rgba(255, 255, 255, 0.4) 3.71%, rgba(255, 255, 255, 0) 99.21%);
        border: 1px solid;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
        backdrop-filter: blur(50px);
	}
	.form-control {
		width: 100%;
		color: #212529;
		background-color: #fff;
		background-clip: padding-box;
		border: 1px solid #ced4da;
		border-radius: 20px;
    }
	.button {
		color: #000;
		border-color: #fcd403;
		background-color: #fcd403;
		border-radius: 18px;
		height: 36px;
		box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
	}
	.button:hover {
		color: #cfcfcf;
		border-color: #fcd403;
		background-color: #FEDF42;
	}
}
/* - адаптивность */
.responsiv_write-support {
	@media (max-width: 960px) {
    div#rpx_div_rpx_16 {
            padding: 25px;
        }
	}
}

/** Страница "Написать в поддержку" - Rapid Contact Ex  - конец **/

/** Страница "Калькуляторы" - вывод калькулятора через фрейм - начало **/
.gc-calc-liver-frame-container {
	width: 100%;
	overflow: hidden; /* скрывает лишние полосы прокрутки */	
}
.gc-calc-liver-adaptive-frame {
	width: 100%;
	height: 2450px;
	transition: height 0.3s ease;
}
/* - адаптивность */
/* ПК/Планшет (1024px–1439px) */
@media (max-width: 1439px) and (min-width: 1024px) {
	.gc-calc-liver-adaptive-frame {
		height: 2500px;
	}
}
/* Планшет (768px–1023px) */
@media (max-width: 1023px) and (min-width: 768px) {
	.gc-calc-liver-adaptive-frame {
		height: 3100px;
	}
}
/* Смартфон (426px-767px) */
@media (max-width: 767px) and (min-width: 426px) {
	.gc-calc-liver-adaptive-frame {
		height: 3600px;
	}
}
/* Смартфон (до 425px) */
@media (max-width: 425px) {
	.gc-calc-liver-adaptive-frame {
		height: 4100px;
	}
}

/** Страница "Калькуляторы" - вывод калькулятора через фрейм - конец **/

/** Страница "Видео" - вывод блог категории - начало **/
p.text-small {
	font-size: 1rem;
}

/* Смартфон (426px-767px) */
@media (max-width: 767px) and (min-width: 426px) {
	p.text-small {
		font-size: .85rem;
	}
}
/* Смартфон (до 425px) */
@media (max-width: 425px) {
	p.text-small {
		font-size: .75rem;
	}
}

/** Страница "Видео" - вывод блог категории - конец **/